> For the complete documentation index, see [llms.txt](https://docs.arkannis.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.arkannis.net/programming/courses/python-pcap-31-03-course/modules-packages-and-oop/python-files.md).

# Python Files

## How to import folders and sub folders:

```python
# If file required is in a subfolder
from <main_folder>.<sub_folder> import function_name

# Or
# If file required is in a folder
from <package_name> import function_name
```

## To call the function:

```python
def main_func(): 
	file_name.function_name()
```

## If you want to access the code directly:

```python
from <main_package>.<sub_package> import <module_name>

<module_name>.<function_name>()
```

## To import all the stuff:

```python
from <main_package> import *
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.arkannis.net/programming/courses/python-pcap-31-03-course/modules-packages-and-oop/python-files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
